title = "Newsletter Register"
url = "/newsletter/registernew"
layout = "static-page"
is_hidden = 0

[pageContentView]

[SimpleCatalogHelper]
slug = "{{ :slug }}"
slug_required = 1
skip_error = 0

[Registration]
mode = "ajax"
flash_on = 1
redirect_on = 1
redirect_page = "mio-account"
activation = "activation_on"
force_login = 1

[cookieNotice]
loadCss = 1

[UserWelcomeHelper]
==
<?php
use EmailHelper;

function sendEmail($email){
	EmailHelper::sendUserRegistrationEmail($email);
}
?>
==

<!-- POPUP COOKIE -->
{% component 'cookieNotice' %}
<div class="al-tuo-servizio">
    
    <div class="container">
		<h2 style="text-align:center;width:100%;margin-top: 50px;font-size:24px">{{ pageContent.title }}</h2>
		<div class="welcome-back">{{ pageContent.content|raw }}</div>
    
		{#
		<div class="row accesso">
			<div class="col-sm-6 offset-sm-3">
			  
			    <p style="text-align:center;"><b>Registrati</b></p>
			</div>
		</div>
		#}
	    <div id="login-box" class="row" >
			<div class="col-sm-6 offset-sm-3">
		        <form href="">
			        <div class="registrazione newsletter">
						<p class="form-row form-row-first wlc-inp-center disp-grid">
							<label for="field-name">{{'Nome'|_}}</label>
							<input type="text" class="input-text" name="name" id="field-name" value="{{ arForm.name }}" placeholder="{{'Nome'|_}}*">
						</p>
					&nbsp;
						<p class="form-row form-row-first wlc-inp-center disp-grid">
							<label for="field-last_name">{{'Cognome'|_}}</label>
							<input type="text" class="input-text" name="last_name" id="field-last_name" value="{{ arForm.last_name }}" placeholder="{{'Cognome'|_}}*">
						</p>
					&nbsp;
			            <p class="form-row form-row-first wlc-inp-center disp-grid">
			            	<label for="field-email">{{'Email'|_}}</label>
			                <input type="email" class="input-text" name="email" id="field-email" value="{{ arForm.email }}" placeholder="{{'Indirizzo email'|_}}*">
			                {% if arError.message is not empty and arError.field == 'email' %}
						        <p>{{ arError.message }}</p>
						    {% endif %}
			            </p>
					&nbsp;
			            <p class="form-row form-row-first wlc-inp-center disp-grid">
			            	<label for="field-password">{{'Password'|_}}</label>
			                <input type="password" class="input-text" name="password" id="field-password" placeholder="Password*">
			            </p>
					&nbsp;
			            <p class="form-row form-row-first wlc-inp-center disp-grid">
			            	<label for="field-password-confirmation">{{'Ripeti Password'|_}}</label>
			                <input type="password" class="input-text" name="password-confirmation" id="field-password-confirmation" placeholder="{{'Ripeti'|_}} Password*">
			            </p>
					&nbsp;
			            <div class="form-row form-row-first wlc-inp-center">
			            	<a class="ps-btn benvenuto hgt-mgbt wdt-250 txt-center" href="javascript:registration()">{{'Registrati'|_}}</a>
			            </div>
					&nbsp;
			            <p >{{'newsletter_ragistration_informativa'|msglang}}</p>
			        </div>
		        </form>
		        
		        {% if arError.message is not empty %}
				    <p>{{ arError.message }}</p>
				{% endif %}
		    </div>
			
			{#
			<form class="col-sm-6 offset-sm-3 form-welc" href="#" id="confirm-email">
				<div class="benvenutologin">
					<p class="form-row form-row-first wlc-inp-center">
						<input type="text" class="input-text" name="username" id="username" autocomplete="username" placeholder="{{'Nome utente o indirizzo email'|_}}*">
					</p>
					&nbsp;
					<p class="form-row form-row-first wlc-inp-center">
						<input type="password" class="input-text" name="password" id="password" autocomplete="password" placeholder="{{'Password'|_}}*">
					</p>
					&nbsp;
					<div class="form-row form-row-first wlc-inp-center">
						<a class="ps-btn benvenuto hgt-mgbt wdt-250 txt-center" href="javascript:confirmEmail();">{{'Conferna'|_}}</a>
					</div>
				</div>
			</form>
			#}
		</div>
	</div>
	
	
	
	
	{#
	<div class="container">
		<h2 style="text-align:center;width:100%;margin-top: 50px;font-size:24px">{{ pageContent.title }}</h2>
		<div class="welcome-back">{{ pageContent.content|raw }}</div>
    </div>
	<div class="row accesso">
		<div class="col-sm-6 offset-sm-3">
		    
		    <p style="text-align:center;"><b>{{'Conferma il tuo indirizzo email'|_}}</b> </p>
		</div>
	</div>
    <div id="login-box" class="row" >
		<form class="col-md-12" href="#" id="confirm-email">
				<div>
					<input type="text" class="input-text" name="username" id="username" autocomplete="username" placeholder="{{'Nome utente o indirizzo email'|_}}*">
					&nbsp;
					<a class="ps-btn benvenuto hgt-mgbt" href="javascript:confirmEmail();">{{'Conferna'|_}}</a>
				</div>
				
		</form>
	</div>
	<div id="panel-password" style=" marting-top: 10px;">
	    <div id="login-box" class="row">
			<form class="col-md-12" href="#" id="confirm-password">
					<div>
						<input type="password" class="input-text" name="password" id="password" autocomplete="password" placeholder="{{'Password'|_}}*">
						&nbsp;
						<a class="ps-btn benvenuto hgt-mgbt" href="javascript:changePassword();">{{'Cambia'|_}}</a>
					</div>
			</form>
		</div>
	</div>
	#}
	
	
	
	
	
    
</div>
<br>
<div class="container">
    <div class="row">
        <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 col-12 ">
            <hr style="border-top: 2px solid #cbcbcb!important;margin-bottom:50px">
        </div>
    </div>
</div>


<script type="text/javascript">
	function registration(){
		const regData = {
            'name' : document.getElementById("field-name").value,
            'last_name' : document.getElementById("field-last_name").value,
			'email': document.getElementById("field-email").value,
			'password' : document.getElementById("field-password").value,
			'password_confirmation' : document.getElementById("field-password-confirmation").value
		};
		$.request('Registration::onAjax', {
			data: regData,
			//update: {'wishlist': '#wishdata'},
			loading: $.oc.stripeLoadIndicator,
		  	// le righe che seguono servono per abilitare il flashmessage utile per debug
		  	flash: 1,
		    handleFlashMessage: function(message, type) {
		        $.oc.flashMsg({ text: message, class: type })
		    },
		    success: function(){
		    	var email = document.getElementById("field-email").value;
		    	$.request('UserWelcomeHelper::onUserRegistration', {
					data: {email: email},
					//update: {'wishlist': '#wishdata'},
					loading: $.oc.stripeLoadIndicator,
				  	// le righe che seguono servono per abilitare il flashmessage utile per debug
				  	flash: 1,
				    handleFlashMessage: function(message, type) {
				        $.oc.flashMsg({ text: message, class: type })
				    },
				    success: function(){
				    	window.location.replace("/{{ activeLocale }}{{ activeLocale == 'it' ? '/mio-account' : '/my-account'}}");
				    }
				});
		    }
		});
		
	}
</script>